[Overview][Types][Classes][Variables][Index] | Reference for unit 'Printers' (#lcl)

# TPrinter.DoEnumBins

Performs action needed to get the Paper Bins for the printer device.

## Declaration

Source position: printers.pas line 277

`protected procedure TPrinter.DoEnumBins(`
`Lst: TStrings`
`); virtual;`

## Arguments

`Lst` |  | TStrings instance with the Paper Bins for the printer.

## Description

DoEnumBins has an empty implementation in TPrinter; it must be overridden in a descendent class to implement the functionality.

## See also

TPrinter.SupportedBins |  | Names for the Paper Bins supported on the print device.
TPrinter.BinName |  | Name of the Paper Bin currently selected for the print device.
TPrinter.DefaultBinName |  | Name for the default Paper Bin on the print device.